Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.api
Interface KnowledgeDomainService

All Known Implementing Classes:
  KnowledgeDomainServiceImpl

    public interface KnowledgeDomainService

Method Summary
`void` | `createDomain()`
`int` | `getAmountOfSessions()`
`Map<String,String>` | `getAvailableProcesses()`
`Map<String,String>` | `getAvailableProcessesPaths()`
`String` | `getProcessAssetPath(String processId)`
`String` | `getProcessInSessionByName(String processDefId)`
`KieSession` | `getSessionById(int sessionId)`
`int` | `getSessionForProcessInstanceId(long processInstanceId)`
`Map<Integer,KieSession>` | `getSessionsByName(String ksessionName)`
`Collection<String>` | `getSessionsNames()`
`int` | `newKieSession(String groupId, String artifactId, String version, String kbaseName, String sessionName)`

Method Detail

### getAmountOfSessions

    int getAmountOfSessions()

### getSessionsNames

    Collection<String> getSessionsNames()

### getAvailableProcesses

    Map<String,String> getAvailableProcesses()

### getAvailableProcessesPaths

    Map<String,String> getAvailableProcessesPaths()

### createDomain

    void createDomain()

### newKieSession

    int newKieSession(String groupId,
                      String artifactId,
                      String version,
                      String kbaseName,
                      String sessionName)

### getSessionsByName

    Map<Integer,KieSession> getSessionsByName(String ksessionName)

### getProcessInSessionByName

    String getProcessInSessionByName(String processDefId)

### getSessionForProcessInstanceId

    int getSessionForProcessInstanceId(long processInstanceId)

### getSessionById

    KieSession getSessionById(int sessionId)

### getProcessAssetPath

    String getProcessAssetPath(String processId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.